#!/bin/bash -ex

CONTAINER=foo

cat > swiftwal.config~ <<EOM
OS_USERNAME=${OS_USERNAME}
OS_TENANT_NAME=${OS_TENANT_NAME}
OS_PASSWORD=${OS_PASSWORD}
OS_AUTH_URL=${OS_AUTH_URL}
CONTAINER: ${CONTAINER}
EOM

CMD="bin/swiftwal --config=swiftwal.config~ -C ${CONTAINER}"

psql -c 'create table if not exists hsdy(a int)'
psql -c 'drop table hsdy'
psql -c 'select pg_switch_xlog()'
${CMD} -v backup -c fast --xlog
# Installed as archive_command
#sudo -E find ~postgres/9.1/main/pg_xlog -maxdepth 1 -type f \
#    -exec ${CMD} archive-wal \{\} \;
${CMD} -v list-backups
${CMD} -v list-wal
${CMD} -v label `${CMD} list-backups | tail -1 | cut -f 1`
${CMD} prune --keep-backups 3 --dry-run
${CMD} -v prune --keep-backups 3
rm -rf testrest
${CMD} restore `${CMD} list-backups | tail -1 | cut -f 1` ./testrest

swift list ${CONTAINER}
